
Alpine Linux Example Setup for OIDplus
======================================

Download Alpine Linux https://dl-cdn.alpinelinux.org/alpine/v3.15/releases/x86_64/alpine-standard-3.15.0-x86_64.iso

Setup a VM, e.g. using VMware Player

Run Alpine setup setup (on a German keyboard, the "-" key is "ß")

    setup-alpine
    reboot

Optional: Enable SSH

If you want to use SSH instead of typing the commands into the VM window

    echo "PermitRootLogin yes" >> /etc/ssh/sshd_config
    service sshd restart

Optional: Install Nano

If you feel more comfortable with the "nano" editor rather than "vi", you can install nano and replace the "vi" commands below with "nano"

    apk add nano

Find out the IP address of your VM

    ifconfig

Setup package repository

    echo "http://dl-cdn.alpinelinux.org/alpine/edge/community" >> /etc/apk/repositories
    apk update
    apk upgrade

Setup MySQL

    apk add mariadb mariadb-client
    /etc/init.d/mariadb setup
    mariadb-secure-installation
    service mariadb restart
    rc-update add mariadb default

Setup Apache + PHP

    apk add php apache2 php-apache2 php-mysqli
    service apache2 start
    rc-update add apache2 default

Download OIDplus (Installation method A: Download using SVN)

    apk add subversion
    cd /var/www/localhost/htdocs/
    svn co https://svn.viathinksoft.com/svn/oidplus/trunk/ oidplus

Download OIDplus (Installation method B: Download using Git)

    apk add git
    cd /var/www/localhost/htdocs/
    git clone https://github.com/danielmarschall/oidplus.git

Download OIDplus (Installation method C: Download SVN snapshot)

    cd /var/www/localhost/htdocs/
    wget https://www.viathinksoft.com/download/235/oidplus2_svn.tar.gz
    tar -zxvf oidplus2_svn.tar.gz
    rm oidplus2_svn.tar.gz

Set file owners (otherwise software updates via web interface are not possible)

    chown -R apache:apache /var/www/localhost/htdocs/oidplus/

Install packages required for OIDplus

    # Required
    apk add php-gmp php-session php-mbstring php-json
    # Optional (required for some features)
    apk add php-curl php-sockets php-simplexml php-openssl php-posix
    # Apply changes
    service apache2 restart

In the section `<Directory "/var/www/localhost/htdocs">`
change `AllowOverride None` to `AllowOverride All`.

    vi /etc/apache2/httpd.conf
    service apache2 restart

Install curl client (required for the database import below)

    apk add curl

Open in browser: http://192.168.75.134/oidplus and follow the instructions (change the IP address to the one of your system)

Initialize database (use the command line string that was generated by setup! This is just an example!)

    curl -s "http://192.168.75.134/oidplus/setup/struct_empty.sql.php?prefix=oidplus_&database=oidplus&slang=mysql" | mysql -u root -p

Add configuration file generated by setup

    vi /var/www/localhost/htdocs/oidplus/userdata/baseconfig/config.inc.php
