-- We have the same problem like in Oracle in re upper/lower-case:
-- config means CONFIG,
-- "config" means config
-- Since we use config in the code, we must use "CONFIG" here



-- 1. PLEASE CHANGE THE PATH AND CREDENTIALS HERE, BEFORE PASSING THE FILE TO iSQL Tool
CREATE DATABASE 'C:\inetpub\wwwroot\oidplus\trunk\userdata\database\oidplus.fdb' page_size 8192 user 'SYSDBA' password 'masterkey';
connect 'C:\inetpub\wwwroot\oidplus\trunk\userdata\database\oidplus.fdb' user 'SYSDBA' password 'masterkey';

-- 2. You can import this file using the iSQL Tool command AS ADMINISTRATOR:
-- (Change the file path to the path of this downloaded file)
-- "C:\Program Files\Firebird\Firebird_4_0\isql.exe" -z -i "path_to_this_file.sql"





recreate table "CONFIG" (
  "NAME" varchar(50) CHARACTER SET UTF8 NOT NULL,
  "VALUE" BLOB SUB_TYPE TEXT NOT NULL,
  "DESCRIPTION" varchar(255) CHARACTER SET UTF8,
  "PROTECTED" char(1) DEFAULT '0' NOT NULL,
  "VISIBLE" char(1) DEFAULT '0' NOT NULL,
  constraint "PK_CONFIG" primary key ("NAME")
);

/* -------------------------------------------------- */

recreate table "ASN1ID" (
  "LFD" integer generated by default as identity,
  "OID" varchar(255) CHARACTER SET UTF8 NOT NULL,
  "NAME" varchar(255) CHARACTER SET UTF8 NOT NULL,
  "STANDARDIZED" char(1) DEFAULT '0' NOT NULL,
  "WELL_KNOWN" char(1) DEFAULT '0' NOT NULL,
  constraint "PK_ASN1ID" primary key ("LFD"),
  constraint "UK_ASN1ID_1" unique ("OID","NAME")
);

/* -------------------------------------------------- */

recreate table "IRI" (
  "LFD" integer generated by default as identity,
  "OID" varchar(255) CHARACTER SET UTF8 NOT NULL,
  "NAME" varchar(255) CHARACTER SET UTF8 NOT NULL,
  "LONGARC" char(1) DEFAULT '0' NOT NULL,
  "WELL_KNOWN" char(1) DEFAULT '0' NOT NULL,
  constraint "PK_IRI" primary key ("LFD"),
  constraint "UK_IRI_1" unique ("OID","NAME")
);

/* -------------------------------------------------- */

recreate table "OBJECTS" (
  "ID" varchar(255) CHARACTER SET UTF8 NOT NULL,
  "PARENT" varchar(255) CHARACTER SET UTF8,
  "TITLE" varchar(255) CHARACTER SET UTF8,
  "DESCRIPTION" BLOB SUB_TYPE TEXT,
  "RA_EMAIL" varchar(100) CHARACTER SET UTF8,
  "CONFIDENTIAL" char(1) NOT NULL,
  "CREATED" timestamp,
  "UPDATED" timestamp,
  "COMMENT" varchar(255) CHARACTER SET UTF8,
  constraint "PK_OBJECTS" primary key ("ID")
);

/* -------------------------------------------------- */

recreate table "RA" (
  "RA_ID" integer generated by default as identity,
  "EMAIL" varchar(100) CHARACTER SET UTF8 NOT NULL,
  "RA_NAME" varchar(100) CHARACTER SET UTF8,
  "PERSONAL_NAME" varchar(100) CHARACTER SET UTF8,
  "ORGANIZATION" varchar(100) CHARACTER SET UTF8,
  "OFFICE" varchar(100) CHARACTER SET UTF8,
  "STREET" varchar(100) CHARACTER SET UTF8,
  "ZIP_TOWN" varchar(100) CHARACTER SET UTF8,
  "COUNTRY" varchar(100) CHARACTER SET UTF8,
  "PHONE" varchar(100) CHARACTER SET UTF8,
  "MOBILE" varchar(100) CHARACTER SET UTF8,
  "FAX" varchar(100) CHARACTER SET UTF8,
  "PRIVACY" char(1) DEFAULT '0' NOT NULL,
  "AUTHKEY" varchar(250) CHARACTER SET UTF8,
  "REGISTERED" timestamp,
  "UPDATED" timestamp,
  "LAST_LOGIN" timestamp,
  constraint "PK_RA" primary key ("RA_ID"),
  constraint "UK_RA_1" unique ("EMAIL")
);

/* -------------------------------------------------- */

recreate table "LOG" (
  "ID" integer generated by default as identity,
  "UNIX_TS" bigint NOT NULL,
  "ADDR" varchar(45) CHARACTER SET UTF8 NOT NULL,
  "EVENT" BLOB SUB_TYPE TEXT NOT NULL,
  constraint "PK_LOG" primary key ("ID")
);

/* -------------------------------------------------- */

recreate table "LOG_USER" (
  "ID" integer generated by default as identity,
  "LOG_ID" integer NOT NULL,
  "USERNAME" varchar(255) CHARACTER SET UTF8 NOT NULL,
  "SEVERITY" integer NOT NULL,
  constraint "PK_LOG_USER" primary key ("ID"),
  constraint "UK_LOG_USER_1" unique ("LOG_ID","USERNAME")
);

/* -------------------------------------------------- */

recreate table "LOG_OBJECT" (
  "ID" integer generated by default as identity,
  "LOG_ID" integer NOT NULL,
  "OBJECT" varchar(255) CHARACTER SET UTF8 NOT NULL,
  "SEVERITY" integer NOT NULL,
  constraint "PK_LOG_OBJECT" primary key ("ID"),
  constraint "UK_LOG_OBJECT_1" unique ("LOG_ID","OBJECT")
);

/* -------------------------------------------------- */

INSERT INTO "CONFIG" ("NAME", "DESCRIPTION", "VALUE", "PROTECTED", "VISIBLE") VALUES ('database_version', 'Version of the database tables', '1002', '1', '0');


-- Quit = exit and rollback changes!
-- Exit = and commit changes
-- Not required if passed via command line to iSQL Tool
